# Maintainer: Michal Sotolar <michal@sotolar.com>

pkgname=php70-phalcon3

pkgver=3.4.5
pkgrel=1
pkgdesc="Web framework delivered as a C-extension for PHP"
arch=('x86_64')
url="https://phalcon.io"
license=('PHP')
depends=('php70')
makedepends=('gcc')
provides=('php-phalcon=$pkgver')
replaces=('php70-phalcon')
backup=('etc/php70/conf.d/phalcon.ini')
source=("https://github.com/phalcon/cphalcon/archive/v$pkgver.zip")
sha256sums=('3be111f979f027d0be7580406e37c74f50c429563dd734928d4ed699d83e9e2e')

build() {
    cd "$srcdir/cphalcon-$pkgver/build/php7/64bits"

    if [ -f Makefile ]; then
        make clean
        phpize70 --clean
    fi

    phpize70
    ./configure --prefix=/usr --with-php-config=/usr/bin/php-config70  --enable-phalcon
    make
}

package() {
    cd "$srcdir/cphalcon-$pkgver/build/php7/64bits"
    make INSTALL_ROOT="$pkgdir" install
    echo 'extension=phalcon.so' > phalcon.ini 
    install -Dm644 phalcon.ini "$pkgdir/etc/php70/conf.d/phalcon.ini"
}
